# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# TODO: split packages into asl and lgpl

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%global rel 7

# NB: check the stax2 version and reltag which must also always be changed for rebuilds
%define reltag .redhat_2
%define namedreltag -redhat-2
%global release %{rel}%{?reltag}%{?dist}
%global namedversion %{version}%{?namedreltag}
%global stax2_version 3.1.1
%define stax2_reltag .redhat_3
%define stax2_namedreltag -redhat-3
%global stax2_namedversion 3.1.1%{?stax2_namedreltag}
%global stax2_release %{rel}%{?stax2_reltag}%{?dist}

Name:           woodstox-core
Version:        4.2.0
Release:        %{release}
Epoch:          0
Summary:        Woodstox Stax and SAX2 Implementation
License:        ASL 2.0 and LGPLv2+
Group:          Development/Java
URL:            http://woodstox.codehaus.org/
%if 0
rm -rf woodstox-core-4.2.0/ woodstox-core-4.2.0.tar.bz2 .gitignore
svn -q export -r 1176 http://svn.codehaus.org/woodstox/wstx/tags/4.2.0/ woodstox-core-4.2.0/
tar cjf woodstox-core-4.2.0.tar.bz2 woodstox-core-4.2.0/
/usr/bin/rhpkg new-sources woodstox-core-4.2.0.tar.bz2
/usr/bin/rhpkg prep
%endif
Source0:        woodstox-core-4.2.0.tar.bz2
Patch0:         woodstox-core-build-maven-deploy.patch
Patch1:         woodstox-core-vman.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       woodstox-stax2-api = %{epoch}:%{stax2_version}-%{stax2_release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  bndtask >= 0:0.2.0
BuildRequires:  cobertura >= 0:1.9
BuildRequires:  jakarta-oro >= 0:2.0.8
BuildRequires:  log4j >= 0:1.2.13
# XXX: asm, asm-tree
BuildRequires:  objectweb-asm >= 0:2.2.1
BuildRequires:  org.osgi.core >= 0:1.2.0
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  maven-ant-tasks >= 0:2.0.9
BuildRequires:  jvnet-msv
# XXX: 20020414
BuildRequires:  relaxngDatatype >= 0:1.0
BuildRequires:  xsdlib 
BuildRequires:  maven-deploy-plugin
BuildArch:      noarch
BuildRoot:      %{_tmppath}/woodstox-core-%{namedversion}-%{release}-root

%description
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%package -n woodstox-core-asl
Summary:        Woodstox
Group:          Development/Java
License:        ASL 2.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent 
%endif
BuildRequires:  jboss-parent 
Requires:       woodstox-stax2-api = %{epoch}:%{stax2_version}-%{stax2_release}

%description -n woodstox-core-asl
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%package -n woodstox-core-lgpl
Summary:        Woodstox
Group:          Development/Java
License:        LGPLv2+
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent 
%endif
BuildRequires:  jboss-parent 
Requires:       woodstox-stax2-api = %{epoch}:%{stax2_version}-%{stax2_release}

%description -n woodstox-core-lgpl
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%package -n woodstox-stax2-api
License:        ASL 2.0
Group:          Development/Java
Summary:        Woodstox StaX2 Implementation
Version:        %{stax2_version}
Release:        %{stax2_release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent 
%endif
BuildRequires:  jboss-parent 

%description -n woodstox-stax2-api
%{summary}.

%package javadoc
License:        ASL 2.0
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.

%package manual
License:        ASL 2.0
Group:          Development/Documentation
Summary:        Release notes for %{name}

%description manual
%{summary}.


%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1

%{_bindir}/find -type f -name '*.?ar' | xargs -t %{__rm}

pushd release-notes
%{__mv} CREDITS CREDITS.orig
%{__mv} VERSION VERSION.orig
%{_bindir}/iconv -f iso-8859-1 -t utf8 -o CREDITS CREDITS.orig
%{_bindir}/iconv -f iso-8859-1 -t utf8 -o VERSION VERSION.orig
%{__rm} CREDITS.orig
%{__rm} VERSION.orig
popd

pushd lib
pushd ant
%{__ln_s} `%{_bindir}/build-classpath bndtask` bndtask-0.2.0.jar
%{__ln_s} `%{_bindir}/build-classpath maven-ant-tasks` maven-ant-tasks-2.0.9.jar
popd
pushd cobertura
%{__ln_s} `%{_bindir}/build-classpath oro` jakarta-oro-2.0.8.jar
%{__ln_s} `%{_bindir}/build-classpath log4j` log4j-1.2.13.jar
%{__ln_s} `%{_bindir}/build-classpath objectweb-asm/asm` asm-2.2.1.jar
%{__ln_s} `%{_bindir}/build-classpath objectweb-asm/asm-tree` asm-tree-2.2.1.jar
%{__ln_s} `%{_bindir}/build-classpath cobertura` cobertura-1.9.jar
popd
pushd msv
%{__ln_s} `%{_bindir}/build-classpath jvnet-msv/msv-core` msv-core-2010.2.jar
%{__ln_s} `%{_bindir}/build-classpath relaxngDatatype` relaxngDatatype-20020414.jar
%{__ln_s} `%{_bindir}/build-classpath relaxngDatatype-sources` relaxngDatatype-20020414-sources.jar
%{__ln_s} `%{_bindir}/build-classpath xsdlib` xsdlib-2010.1.jar
%{__ln_s} `%{_bindir}/build-classpath xsdlib-sources` xsdlib-2010.1-sources.jar
popd
pushd osgi
%{__ln_s} `%{_bindir}/build-classpath org.osgi.core` org.osgi.core-1.2.0.jar
popd
pushd test
%{__ln_s} `%{_bindir}/build-classpath junit` junit-3.8.1.jar
popd
popd

%build
export CLASSPATH=
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/junit`"
%{ant} -DIMPL_VERSION=%{namedversion} -DSTAX2_VERSION=%{stax2_namedversion} all
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://`pwd`/maven2-brew
export MAVEN_OPTS=
export MVN="%{_bindir}/mvn-jpp -e deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Durl=${URL}"
${MVN} -DpomFile=dist/stax2-api-%{stax2_namedversion}.pom -Dfile=dist/stax2-api-%{stax2_namedversion}.jar -Dsources=dist/stax2-api-%{stax2_namedversion}-sources.jar -Djavadoc=dist/stax2-api-%{stax2_namedversion}-javadoc.jar
${MVN} -DpomFile=dist/woodstox-core-asl-%{namedversion}.pom -Dfile=dist/woodstox-core-asl-%{namedversion}.jar -Dsources=dist/woodstox-core-asl-%{namedversion}-sources.jar -Djavadoc=dist/woodstox-core-asl-%{namedversion}-javadoc.jar
${MVN} -DpomFile=dist/woodstox-core-lgpl-%{namedversion}.pom -Dfile=dist/woodstox-core-lgpl-%{namedversion}.jar -Dsources=dist/woodstox-core-lgpl-%{namedversion}-sources.jar -Djavadoc=dist/woodstox-core-lgpl-%{namedversion}-javadoc.jar

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/stax2-api/%{stax2_namedversion}/stax2-api-%{stax2_namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/stax2-api/%{stax2_namedversion}/stax2-api-%{stax2_namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/stax2-api/%{stax2_namedversion}/stax2-api-%{stax2_namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-asl/%{namedversion}/woodstox-core-asl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-asl/%{namedversion}/woodstox-core-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-asl/%{namedversion}/woodstox-core-asl-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-lgpl/%{namedversion}/woodstox-core-lgpl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-lgpl/%{namedversion}/woodstox-core-lgpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-lgpl/%{namedversion}/woodstox-core-lgpl-%{namedversion}.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
[ %{stax2_namedversion} = %{namedversion} ] || (cd %{buildroot}%{_javadir} && for jar in *-%{stax2_namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{stax2_namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/codehaus/woodstox/stax2-api/%{stax2_namedversion}/stax2-api-%{stax2_namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-stax2-api.pom
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-asl/%{namedversion}/woodstox-core-asl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-woodstox-core-asl.pom
%{__cp} -p maven2-brew/org/codehaus/woodstox/woodstox-core-lgpl/%{namedversion}/woodstox-core-lgpl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-woodstox-core-lgpl.pom

# depmaps
%add_to_maven_depmap org.codehaus.woodstox stax2-api %{stax2_namedversion} JPP stax2-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/stax2-api
%add_to_maven_depmap org.codehaus.woodstox woodstox-core-asl %{namedversion} JPP woodstox-core-asl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/woodstox-core-asl
%add_to_maven_depmap org.codehaus.woodstox woodstox-core-lgpl %{namedversion} JPP woodstox-core-lgpl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/woodstox-core-lgpl

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%post
%update_maven_depmap 

%postun
%update_maven_depmap

%post -n woodstox-core-asl
%update_maven_depmap 

%postun -n woodstox-core-asl
%update_maven_depmap

%post -n woodstox-core-lgpl
%update_maven_depmap 

%postun -n woodstox-core-lgpl
%update_maven_depmap

%post -n woodstox-stax2-api
%update_maven_depmap 

%postun -n woodstox-stax2-api
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

# FIXME: this package needs to go and then we use woodstox-core-asl instead
%files
%defattr(0644,root,root,0755)
%doc dist/release-notes/*
%{_javadir}/woodstox-core-asl-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-asl-sources.jar
%{_javadir}/woodstox-core-asl-%{namedversion}.jar
%{_javadir}/woodstox-core-asl.jar
%{_javadir}/woodstox-core-lgpl-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-lgpl-sources.jar
%{_javadir}/woodstox-core-lgpl-%{namedversion}.jar
%{_javadir}/woodstox-core-lgpl.jar
%{_mavenpomdir}/JPP-woodstox-core-asl.pom
%{_mavenpomdir}/JPP-woodstox-core-lgpl.pom
%{_mavendepmapfragdir}/woodstox-core-asl
%{_mavendepmapfragdir}/woodstox-core-lgpl

%files -n woodstox-core-asl
%defattr(0644,root,root,0755)
%doc dist/release-notes/*
%{_javadir}/woodstox-core-asl-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-asl-sources.jar
%{_javadir}/woodstox-core-asl-%{namedversion}.jar
%{_javadir}/woodstox-core-asl.jar
%{_mavenpomdir}/JPP-woodstox-core-asl.pom
%{_mavendepmapfragdir}/woodstox-core-asl

%files -n woodstox-core-lgpl
%defattr(0644,root,root,0755)
%doc dist/release-notes/*
%{_javadir}/woodstox-core-lgpl-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-lgpl-sources.jar
%{_javadir}/woodstox-core-lgpl-%{namedversion}.jar
%{_javadir}/woodstox-core-lgpl.jar
%{_mavenpomdir}/JPP-woodstox-core-lgpl.pom
%{_mavendepmapfragdir}/woodstox-core-lgpl

%files -n woodstox-stax2-api
%defattr(0644,root,root,0755)
%{_javadir}/stax2-api-%{stax2_namedversion}-sources.jar
%{_javadir}/stax2-api-sources.jar
%{_javadir}/stax2-api-%{stax2_namedversion}.jar
%{_javadir}/stax2-api.jar
%{_mavenpomdir}/JPP-stax2-api.pom
%{_mavendepmapfragdir}/stax2-api

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%{_javadir}/woodstox-core-asl-%{namedversion}-javadoc.jar
%{_javadir}/woodstox-core-asl-javadoc.jar
%{_javadir}/woodstox-core-lgpl-%{namedversion}-javadoc.jar
%{_javadir}/woodstox-core-lgpl-javadoc.jar
%{_javadir}/stax2-api-%{stax2_namedversion}-javadoc.jar
%{_javadir}/stax2-api-javadoc.jar

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Tue May 07 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-7
- bump Release tags
- update jboss-parent, jboss-dependency-management-all to -redhat-2

* Wed Apr 24 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-6
- take sources from tag

* Wed Apr 17 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-5
- add jpackage-utils to stax2-api requires

* Wed Apr 17 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-4
- fix stax2-api release

* Thu Apr 11 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-3
- use shared integer for Release tag to prevent duplicates

* Thu Apr 11 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-2
- patch to downgrade woodstox-core-{asl,lgpl} from 4.2.1 to 4.2.0
- fix Release tag

* Wed Apr 10 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-1
- woodstox-core-{asl,lgpl}-4.2.0-redhat-1, stax2-api-3.1.1-redhat-2
- split package
- update License and use License in subpackages
- rediff patches
- rerun vman
- use external bndtask
- split asl and lgpl and stax2-api depmaps
- simplify deploy command by using -Dsources to attach sources jars
- build javadoc jars and add jars to reoplib and javadoc packages
- fix file list
- use separate reltag for stax2-api as version doesn't always change

* Mon Jan 21 2013 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-1.2.redhat_2
- Do not build repolib except on RHEL-6

* Fri Jan 18 2013 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-1.1.redhat_2
- BR apache-commons-parent as required by RHEL-7 builds

* Sat Sep 01 2012 Paul Gier <pgier@redhat.com> - 0:4.1.1-1.redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-1.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-1.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-1.redhat_1.1
- Rebuild using cache signing

* Wed Apr 18 2012 Yong Yang <yyang@redhat.com> - 0:4.1.1-1.redhat_1
- Update vman patch
- Correct release

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.1-0.8_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.8
- remove bad Requires
- use flat dir

* Thu Dec 01 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.7
- Add reltag to release

* Thu Dec 01 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.6
- BR:  msv-core, so can be built successfully
- Add Requires

* Thu Oct 27 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.5
- remove stax_1_0_1_api Requires (stax 1.2 included in JDK 6)
- remove msv-{msv,xsdlib} Requires
- change msv-{msv,xsdlib} Requires to msv, xsdlib
- use external msv,xsdlib
- drop emma (not used)
- link in cobertura jars

* Thu Sep 08 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.4
- manually deploy to maven repo

* Wed Sep 07 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.3
- patch versions with -redhat-1

* Tue Sep 06 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.2
- update poms

* Wed Jun 22 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.1
- refloat as woodstox-core
- use stax_1_0_1_api
- BuildRequires: cobertura, junit
- add Requires{,(post,postun)}: jpackage-utils
- fix file ownership

* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.5
- Add %%update_maven_depmap in %%post and %%postun

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> 0:3.2.9-1.4
- Rebuild

* Thu Nov 25 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.3
- Build with Maven 2.2.1
- Add upload.sh and wstx.pom to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin

* Thu Jun 17 2010 Permaine Cheung <pcheung@redhat.com> 0:3.2.9-1.2
- Do not symlink javadoc

* Mon Jun 7 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.1
- rebuild

* Mon May 17 2010 Fernando Nasser <fnasser@redhat.com> 0:3.2.9-1
- Upgrade to 3.2.9

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.2.8-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.8-1.2
- Rebuild

* Tue Feb 16 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.8-1.1.1
- Merge from RHEL-4-EP-5 

* Mon Feb 08 2010 David Walluck <dwalluck@redhat.com> 0:3.2.8-1.1
- use codehaus-stax11-api instead of bea-stax
- install included poms
- install poms to repolib
- fix directory name

* Mon Aug 11 2009 Yong Yang <yyang@redhat.com> 0:3.2.8-1
- 3.2.8

* Mon Jan 12 2009 David Walluck <dwalluck@redhat.com> 0:3.2.6-2
- use install -p
- fix repolib

* Fri Jan 09 2009 David Walluck <dwalluck@redhat.com> 0:3.2.6-1
- 3.2.6

* Tue Jul 29 2008 David Walluck <dwalluck@redhat.com> 0:3.1.1-3
- fix maven frag attributes
- fix repolib permissions

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:3.1.1-2.jpp5
- own %%{_javadir}/%%{name}
- merge in maven2 changes from 3.2.1-1jpp
- fix License
- fix javadoc location
- BuildRequires: ant-trax

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:3.1.1-1jpp.ep1.1
- Rebuild

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.el4ep1.2
- Add -brew suffix

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.el4ep1.1
- First build for EP branch
- Add repolib support

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp
- Upgrade to 3.1.1
- Fix javadoc handling to remove ghost + linking magic

* Fri May 05 2006 Ralph Apel <r.apel@r-apel.de> 0:2.9.3-1jpp
- First build
